Up

# NSClipView

### Authors

Ovidiu Predescu (`ovidiu@net-community.com`)
Richard Frith-Macdonald (`richard@brainstorm.co.uk`)

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSClipView class

## NSClipView : NSView

> Declared in:
>   AppKit/NSClipView.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -acceptsFirstResponder
- -autoscroll:
- -backgroundColor
- -constrainScrollPoint:
- -copiesOnScroll
- -documentCursor
- -documentRect
- -documentView
- -documentVisibleRect
- -drawsBackground
- -isFlipped
- -rotateByAngle:
- -scaleUnitSquareToSize:
- -scrollToPoint:
- -setBackgroundColor:
- -setBoundsOrigin:
- -setBoundsRotation:
- -setBoundsSize:
- -setCopiesOnScroll:
- -setDocumentCursor:
- -setDocumentView:
- -setDrawsBackground:
- -setFrameOrigin:
- -setFrameRotation:
- -setFrameSize:
- -translateOriginToPoint:
- -viewBoundsChanged:
- -viewFrameChanged:

### acceptsFirstResponder

- (BOOL) acceptsFirstResponder;
Availability: OpenStep
Description forthcoming.

### autoscroll:

- (BOOL) autoscroll: (NSEvent*)theEvent;
Availability: OpenStep

Scrolls in response to mouse-dragged events.

### backgroundColor

- (NSColor*) backgroundColor;
Availability: OpenStep

Returns the NSClipView's background color

See Also: -setBackgroundColor:

### constrainScrollPoint:

- (NSPoint) constrainScrollPoint: (NSPoint)proposedNewOrigin;
Availability: OpenStep

### copiesOnScroll

- (BOOL) copiesOnScroll;
Availability: OpenStep
Description forthcoming.

### documentCursor

- (NSCursor*) documentCursor;
Availability: OpenStep

Returns the cursor of the document view

See Also: -setDocumentCursor:

### documentRect

- (NSRect) documentRect;
Availability: OpenStep

Returns the document rectangle.

See Also: -documentVisibleRect

### documentView

- (id) documentView;
Availability: OpenStep

Returns the NSClipView's document view.

See Also: -setDocumentView:

### documentVisibleRect

- (NSRect) documentVisibleRect;
Availability: OpenStep

Returns the document visible rectangle in the document views coordinate system.

See Also: -documentRect [NSView -convertRect:toView:]

### drawsBackground

- (BOOL) drawsBackground;
Availability: MacOS-X 10.0.0
Description forthcoming.

### isFlipped

- (BOOL) isFlipped;
Availability: OpenStep
Description forthcoming.

### rotateByAngle:

- (void) rotateByAngle: (float)angle;
Availability: OpenStep
Description forthcoming.

### scaleUnitSquareToSize:

- (void) scaleUnitSquareToSize: (NSSize)newUnitSize;
Availability: OpenStep
Description forthcoming.

### scrollToPoint:

- (void) scrollToPoint: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;
Availability: OpenStep

Sets the NSClipView's background color to aColor and marks self for display. Sets the opaque flag if needed (to `YES` if the NSClipView does not draw its background, if the background color is `nil` or if the background color alpha component is less than 1.0, `NO` otherwise)

See Also: -backgroundColor [NSView -isOpaque]

### setBoundsOrigin:

- (void) setBoundsOrigin: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### setBoundsRotation:

- (void) setBoundsRotation: (float)angle;
Availability: OpenStep
Description forthcoming.

### setBoundsSize:

- (void) setBoundsSize: (NSSize)aSize;
Availability: OpenStep
Description forthcoming.

### setCopiesOnScroll:

- (void) setCopiesOnScroll: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setDocumentCursor:

- (void) setDocumentCursor: (NSCursor*)aCursor;
Availability: OpenStep

Sets the cursor for the document view to aCursor

See Also: -documentCursor

### setDocumentView:

- (void) setDocumentView: (NSView*)aView;
Availability: OpenStep

Sets aView the NSClipView's document view to aView

See Also: -documentView

### setDrawsBackground:

- (void) setDrawsBackground: (BOOL)flag;
Availability: MacOS-X 10.0.0
Description forthcoming.

### setFrameOrigin:

- (void) setFrameOrigin: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### setFrameRotation:

- (void) setFrameRotation: (float)angle;
Availability: OpenStep
Description forthcoming.

### setFrameSize:

- (void) setFrameSize: (NSSize)aSize;
Availability: OpenStep
Description forthcoming.

### translateOriginToPoint:

- (void) translateOriginToPoint: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### viewBoundsChanged:

- (void) viewBoundsChanged: (NSNotification*)aNotification;
Availability: OpenStep
Description forthcoming.

### viewFrameChanged:

- (void) viewFrameChanged: (NSNotification*)aNotification;
Availability: OpenStep

Used when the document view frame notify its change. (with NSViewFrameDidChangeNotification)

## Instance Variables for NSClipView Class

### _backgroundColor

@protected NSColor* _backgroundColor;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _copiesOnScroll

@protected BOOL _copiesOnScroll;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _cursor

@protected NSCursor* _cursor;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _documentView

@protected NSView* _documentView;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _drawsBackground

@protected BOOL _drawsBackground;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _isOpaque

@protected BOOL _isOpaque;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up